This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 20924 - gs reads libraries from current directory
gs reads libraries from current directory
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Aaron Brown
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-15 15:13 EST by Jarno Huuskonen
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-16 05:15:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarno Huuskonen 2000-11-15 15:13:44 EST
Hi,

I just noticed on bugtraq (suse announcement) that gs reads libs from
the current directory. To the best of my knowledge RH is also vulnerable.
See the two following strace /usr/bin/gs listings:

No libs in tmp:
open("i686/mmx/libz.so.1", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("i686/libz.so.1", O_RDONLY)        = -1 ENOENT (No such file or
directory)
open("mmx/libz.so.1", O_RDONLY)         = -1 ENOENT (No such file or
directory)
open("libz.so.1", O_RDONLY)             = -1 ENOENT (No such file or
directory)
----

And with libz* copied to /tmp/i686
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("i686/mmx/libz.so.1", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("i686/libz.so.1", O_RDONLY)        = 3


-Jarno

Note You need to log in before you can comment on or make changes to this bug.